Loading...
Searching...
No Matches
openmpt_module_ext_interface_pattern_vis Struct Reference
libopenmpt_ext C

`#include <libopenmpt/libopenmpt_ext.h>`

## Public Attributes

int(* | get_pattern_row_channel_volume_effect_type )(openmpt_module_ext *mod_ext, int32_t pattern, int32_t row, int32_t channel)
int(* | get_pattern_row_channel_effect_type )(openmpt_module_ext *mod_ext, int32_t pattern, int32_t row, int32_t channel)

## Member Data Documentation

## get_pattern_row_channel_effect_type

int(* openmpt_module_ext_interface_pattern_vis::get_pattern_row_channel_effect_type) (openmpt_module_ext *mod_ext, int32_t pattern, int32_t row, int32_t channel)

Get pattern command type for pattern highlighting

Parameters

  mod_ext | The module handle to work on.
  pattern | The pattern whose data should be retrieved.
  row | The row from which the data should be retrieved.
  channel | The channel from which the data should be retrieved.

Returns
  The command type in the effect column at the given pattern position (see OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_*)

See also
  openmpt_module_ext_interface_pattern_vis::get_pattern_row_channel_volume_effect_type

## get_pattern_row_channel_volume_effect_type

int(* openmpt_module_ext_interface_pattern_vis::get_pattern_row_channel_volume_effect_type) (openmpt_module_ext *mod_ext, int32_t pattern, int32_t row, int32_t channel)

Get pattern command type for pattern highlighting

Parameters

  mod_ext | The module handle to work on.
  pattern | The pattern whose data should be retrieved.
  row | The row from which the data should be retrieved.
  channel | The channel from which the data should be retrieved.

Returns
  The command type in the effect column at the given pattern position (see OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_*)

See also
  openmpt_module_ext_interface_pattern_vis::get_pattern_row_channel_volume_effect_type

The documentation for this struct was generated from the following file:

- libopenmpt/libopenmpt_ext.h